Bug 1465154 - "No storage pools are defined" when attempting to edit libvirt compute profile
"No storage pools are defined" when attempting to edit libvirt compute profile
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - libvirt (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Marek Hulan
Peter Ondrejka
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 15:52 EDT by jcallaha
Modified: 2017-11-20 04:15 EST (History)
9 users (show)

See Also:
Fixed In Version: foreman-1.15.6.9
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
page load error (104.03 KB, image/png)
2017-06-26 15:52 EDT, jcallaha
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20174 None None None 2017-06-30 06:59 EDT

  None (edit)
Description jcallaha 2017-06-26 15:52:38 EDT
Created attachment 1292056 [details]
page load error

Description of problem:
When attempting to edit a libvirt compute profile, the page presents an error:
"Oops, we're sorry but something went wrong No storage pools are defined".
There are also two 500 ISEs in the web console. (see attached)

Version-Release number of selected component (if applicable):
Satellite 6.3 Snap 4

How reproducible:
Always

Steps to Reproduce:
1. Setup a libvirt compute resource
2. Navigate to the compute profiles page
3. Click one of the three pre-made options, then the libvirt CR

Actual results:
The page does not load correctly. See attached.

Expected results:
The page loads correctly, and you are able to edit the compute resource.
Comment 3 Marek Hulan 2017-06-30 04:43:47 EDT
I'm unable to reproduce this, it works just fine for my libvirt. I was only able to reproduce if I deactivated all storage pools. Could you double check your libvirt has a storage pool defined and active? Please paste the output of

    sudo virsh pool-list

If that's the cause, I think this is not a blocker but I think we should improve the error messaging to better explain what's going on. It should perhaps do the check also when creating the CR. There's probably no point of creating libvirt CR without the storage pool.

Please update blocker flag and move to satellite-backlog according to your findings, thank you.
Comment 4 Marek Hulan 2017-06-30 06:59:21 EDT
Created redmine issue http://projects.theforeman.org/issues/20174 from this bug
Comment 5 pm-sat@redhat.com 2017-06-30 08:04:39 EDT
Upstream bug assigned to mhulan@redhat.com
Comment 6 pm-sat@redhat.com 2017-06-30 08:04:42 EDT
Upstream bug assigned to mhulan@redhat.com
Comment 7 jcallaha 2017-06-30 15:13:00 EDT
Marek, it looks like you are spot on. There are no pools listed as shown below. I will update the title to reflect that the error message should be updated.

[root@cloud-qe-22 ~]# virsh pool-list
 Name                 State      Autostart 
-------------------------------------------
Comment 8 pm-sat@redhat.com 2017-07-03 16:05:59 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20174 has been resolved.
Comment 10 Peter Ondrejka 2017-11-20 04:15:17 EST
Verified on Sat 6.3 snap 25, the "no storage pool available on hypervisor" warning is displayed instead of error when assigning a compute profile and when creating a host.

Note You need to log in before you can comment on or make changes to this bug.